CVE-2017-13692

NameCVE-2017-13692
DescriptionIn Tidy 5.5.31, the IsURLCodePoint function in attrs.c allows attackers to cause a denial of service (Segmentation Fault), as demonstrated by an invalid ISALNUM argument.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
tidy (PTS)jessie (security), jessie20091223cvs-1.4+deb8u1fixed
tidy-html5 (PTS)stretch1:5.2.0-2fixed
bullseye, sid, buster2:5.6.0-10fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
tidysource(unstable)(not affected)
tidy-html5source(unstable)(not affected)

Notes

- tidy-html5 <not-affected> (Vulnerable code introduced later)
- tidy <not-affected> (Vulnerable code introduced later)
https://github.com/htacg/tidy-html5/issues/588

Search for package or bug name: Reporting problems